<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXTextField?>
<?import com.lynden.gmapsfx.GoogleMapView?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.control.Separator?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.FlowPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>
<?import javafx.scene.text.Text?>

<ScrollPane maxWidth="1.7976931348623157E308" prefWidth="1200.0" style="-fx-background-color: #ffffff;" xmlns="http://javafx.com/javafx/8.0.102" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controllers.AffichageRandonneeController">
   <content>
      
         
            <AnchorPane id="AnchorPane" maxWidth="1.7976931348623157E308" prefHeight="1300.0" prefWidth="1200.0" style="-fx-background-color: #ffffff;" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
               <children>
                  <Label fx:id="Titre_label" layoutX="50.0" layoutY="33.0" prefHeight="56.0" prefWidth="597.0" text="Titre" AnchorPane.leftAnchor="25.0" AnchorPane.topAnchor="33.0">
                     <font>
                        <Font size="46.0" />
                     </font>
                  </Label>
                  <ImageView fx:id="main_imageView" fitHeight="350.0" fitWidth="350.0" layoutX="640.0" layoutY="5.0" pickOnBounds="true" preserveRatio="true" AnchorPane.rightAnchor="50.0" AnchorPane.topAnchor="50.0">
                     <image>
                        <Image url="@../image/logoPi.jpg" />
                     </image>
                  </ImageView>
                  <FlowPane fx:id="image_flowPane" hgap="25.0" layoutX="707.0" layoutY="400.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefWidth="350.0" vgap="25.0" AnchorPane.rightAnchor="50.0" AnchorPane.topAnchor="320.0" />
                  <VBox layoutX="131.0" layoutY="155.0" prefHeight="200.0" prefWidth="548.0" spacing="20.0">
                     <children>
                        <HBox prefWidth="548.0" spacing="10.0">
                           <children>
                              <Label prefHeight="0.0" prefWidth="250.0" text="Type du randonnee:">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                              <Label fx:id="typeRando_label" prefHeight="25.0" prefWidth="200.0" text="Label">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                           </children>
                        </HBox>
                        <HBox prefWidth="548.0" spacing="10.0">
                           <children>
                              <Label prefHeight="0.0" prefWidth="250.0" text="Nombre de participants">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                              <Label fx:id="nbpartici_label" prefHeight="0.0" prefWidth="200.0" text="Label">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                           </children>
                        </HBox>
                        <HBox prefWidth="548.0" spacing="10.0">
                           <children>
                              <Label prefHeight="0.0" prefWidth="250.0" text="date du randonnee">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                              <Label fx:id="dateRando_label" prefHeight="0.0" prefWidth="200.0" text="Label">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                           </children>
                        </HBox>
                        <HBox prefWidth="548.0" spacing="10.0">
                           <children>
                              <Label prefHeight="0.0" prefWidth="250.0" text="destination">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                              <Label fx:id="destination_label" prefHeight="0.0" prefWidth="200.0" text="Label">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                           </children>
                        </HBox>
                        <HBox prefWidth="548.0" spacing="10.0">
                           <children>
                              <Label prefHeight="0.0" prefWidth="250.0" text="Nombre de kilometres">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                              <Label fx:id="nbKilo_label" prefHeight="0.0" prefWidth="200.0" text="Label">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                           </children>
                        </HBox>
                        <HBox prefWidth="548.0" spacing="10.0">
                           <children>
                              <Label prefHeight="0.0" prefWidth="250.0" text="Organisateur">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                              <Label fx:id="organisateur_label" prefHeight="0.0" prefWidth="200.0" text="Label">
                                 <font>
                                    <Font size="20.0" />
                                 </font>
                              </Label>
                           </children>
                        </HBox>
                     </children>
                  </VBox>
                  <Label layoutX="50.0" layoutY="488.0" prefHeight="25.0" prefWidth="127.0" text="Description:">
                     <font>
                        <Font size="20.0" />
                     </font>
                  </Label>
                  <Text fx:id="Description_text" layoutX="177.0" layoutY="506.0" strokeType="OUTSIDE" strokeWidth="0.0" text="Text" wrappingWidth="473.7294921875" />
                  <GoogleMapView fx:id="googleMapView" layoutX="124.0" layoutY="727.0" prefHeight="412.0" prefWidth="450.0" AnchorPane.bottomAnchor="161.0" AnchorPane.rightAnchor="50.0" AnchorPane.topAnchor="727.0" />
                  <VBox layoutX="131.0" layoutY="679.0" prefWidth="500.0" spacing="20.0" AnchorPane.leftAnchor="131.0">
               <children>
                        <Label text="Liste des taches:">
                           <font>
                              <Font size="20.0" />
                           </font>
                        </Label>
                  <ScrollPane prefHeight="200.0" prefWidth="550.0" style="-fx-background-color: #ffffff;">
                     <content>
                        <AnchorPane prefWidth="550.0" style="-fx-background-color: #ffffff;">
                           <children>
                              <VBox fx:id="listTache_VBox" prefWidth="500.0" spacing="20.0" />
                           </children>
                        </AnchorPane>
                     </content>
                  </ScrollPane>
                  <Separator prefWidth="200.0" />
                  <Label text="Commentaires:">
                     <font>
                        <Font size="20.0" />
                     </font>
                  </Label>
                  <VBox fx:id="mainCommentVBox" prefWidth="500.0" spacing="10.0">
                     <children>
                        <VBox prefHeight="200.0" prefWidth="100.0">
                           <children>
                              <Label style="-fx-font-size: 21;" text="Commenter : " />
                              <JFXTextField fx:id="cmt_textfield" onAction="#sendComment" />
                           </children>
                        </VBox>
                     </children>
                  </VBox>
               </children></VBox>
            <JFXButton fx:id="modifier_Button" layoutX="975.0" layoutY="1187.0" onAction="#modifierRandonnee" prefHeight="26.0" prefWidth="100.0" style="-fx-background-color: #28a6ea;" text="Modifier" AnchorPane.bottomAnchor="85.0" AnchorPane.rightAnchor="125.0" />
            <JFXButton layoutX="825.0" layoutY="1187.0" onAction="#supprimerRandonnee" prefHeight="26.0" prefWidth="95.0" style="-fx-background-color: #ff0000;" text="Supprimer" textFill="#141414" AnchorPane.bottomAnchor="85.0" AnchorPane.rightAnchor="280.0" />
               </children>
            </AnchorPane>
         
      
   </content>
</ScrollPane>
